Loading...
Searching...
No Matches
Gudhi::coxeter_triangulation::Mesh_medit Class Reference
Coxeter triangulation

Structure to store a mesh that can be output in Medit .mesh file format using the output_meshes_to_medit method. More...

`#include <include/gudhi/IO/Mesh_medit.h>`

## Public Types

typedef std::vector< Eigen::VectorXd > | Vertex_points
| Type of a range of vertices.
typedef std::pair< std::vector< std::size_t >, std::size_t > | Mesh_element
| Type of a mesh element. A pair consisting of a vector of vertex indices of type std::size_t and of an integer that represents the common reference number for the mesh elements of this type.
typedef std::vector< Mesh_element > | Mesh_elements
| Type of a range of mesh elements.
typedef std::vector< double > | Scalar_field_range
| Type of a range of scalar field .

## Public Attributes

Vertex_points | vertex_points
| Range of vertices of type Eigen::VectorXd to output.
Mesh_elements | edges
| Range of edges.
Mesh_elements | triangles
| Range of triangles.
Mesh_elements | tetrahedra
| Range of tetrahedra.
Scalar_field_range | triangles_scalar_range
| Range of scalar values over triangles.
Scalar_field_range | tetrahedra_scalar_range
| Range of scalar values over tetrahedra.

## Detailed Description

Structure to store a mesh that can be output in Medit .mesh file format using the output_meshes_to_medit method.

The documentation for this class was generated from the following file:

- include/gudhi/IO/Mesh_medit.h